Foreman - Bug #3544

Editing an oVirt compute resource allows changing the type, which is unsupported
10/29/2013 09:37 PM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Joseph Magen
Category: Compute resources
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1476
Description

Description of problem:

When editing compute resources of certain types (e.g. EC2 and oVirt), the form allows the user to change the CR type to another.
This is unsupported on existing CRs as VM UUIDs will change and CR attributes don't get updated properly. Some CR types (e.g.
libvirt) correctly have it disabled. This option should be disabled consistently.

How reproducible:
Always

Steps to Reproduce:

1. More>Provisioning>Compute Resources, create a new oVirt compute resource
2. Edit the existing compute resource

3. Check if the type can be changed to another (e.g. EC2)

Actual results:
Type dropdown menu is not disabled, allows changing it (perhaps with an error on save).

Expected results:
Type dropdown is greyed out and disabled.

Additional info:
The dropdown is disabled based on "f.object.uuid.present?", however not all CR types have UUIDs. It should probably be
.new_record?.

(https://bugzilla.redhat.com/show_bug.cgi?id=1024539)

Associated revisions

Revision 7e74d71b - 09/17/2014 08:05 AM - Joseph Magen

fixes #3544 - Editing an oVirt compute resource allows changing the type, which is unsupported

History

#1 - 05/25/2014 01:29 PM - Joseph Magen
- Status changed from New to Ready For Testing
- Assignee set to Joseph Magen

- Target version set to 1.8.2

https://github.com/theforeman/foreman/pull/1476

#2 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2to 1.8.1

#3 - 07/07/2014 07:19 AM - Anonymous
https://bugzilla.redhat.com/show_bug.cgi?id=1024539
https://github.com/theforeman/foreman/pull/1476

- Target version changed from 1.8.1 to 1.8.0

#4 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#5 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#6 - 09/09/2014 07:46 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1476 added

#7 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#8 - 09/17/2014 09:15 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#9 - 09/17/2014 10:01 AM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7e74d71b314b97¢70c4b08194cfdbccacbb4768c.
